Bug 89602 - editors/ted - Fix LOCALBASE/X11BASE settings
Summary: editors/ted - Fix LOCALBASE/X11BASE settings
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-11-26 19:50 UTC by Jonathan
Modified: 2005-11-29 23:35 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan 2005-11-26 19:50:01 UTC
  Fix port so that it respects LOCALBASE/X11BASE settings.

Fix: Apply the following patches:

  --- /dev/null   Sat Nov 26 12:22:00 2005
+++ files/configure     Mon Nov 21 20:09:25 2005
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+dirs="Ted appFrame appUtil bitmap ind libreg tedPackage"
+
+for d in $dirs; do
+  (cd $d && ./configure $*)
+  if [ $? != 0 ]; then
+    exit $?
+  fi
+done




WRKSRC=                ${WRKDIR}/Ted-${PORTVERSION}
-CONFIGURE_WRKSRC=      ${WRKSRC}/Ted
+# CONFIGURE_WRKSRC=    ${WRKSRC}/Ted

  USE_X_PREFIX=  yes
  USE_MOTIF=     yes
+USE_GHOSTSCRIPT_RUN=   yes
  USE_REINPLACE= yes
  GNU_CONFIGURE= yes
-CONFIGURE_ARGS=        --prefix=${PREFIX}
+# CONFIGURE_ARGS+=     --prefix=${PREFIX}
  CONFIGURE_TARGET=      --build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
-CONFIGURE_ENV= CC="${CC}" CFLAGS="${CFLAGS}"
-MAKE_ENV=      DEF_AFMDIR="-DAFMDIR=\"\\\"${AFMDIR}\\\"\"" \
+# CONFIGURE_ENV=       CC="${CC}" CFLAGS="${CFLAGS}"
+
+# use += for MAKE_ENV ?
+MAKE_ENV+=     DEF_AFMDIR="-DAFMDIR=\"\\\"${AFMDIR}\\\"\"" \
                 DEF_INDDIR="-DINDDIR=\"\\\"${INDDIR}\\\"\"" \
                 DEF_DOCUMENT_DIR="-DDOCUMENT_DIR=\"\\\"${DOCSDIR}/\\\"\""
  ALL_TARGET=    compile.shared
@@ -39,6 +42,8 @@
  post-extract:
         cd ${WRKSRC}/tedPackage && ${TAR} xf TedBindist.tar
  post-patch:
+       ${CP} -p ${FILESDIR}/configure ${WRKSRC}/configure
+       ${CHMOD} +x ${WRKSRC}/configure
         ${REINPLACE_CMD} \
                 's|DEF_PKGDIR|DEF_DOCUMENT_DIR|g' 
${WRKSRC}/Ted/makefile.in--BdiwUBHUBum1vazRtL4Xqyx3y2AjgAArSftczV8up9pUKJtK
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- Makefile    Mon Apr 11 21:25:23 2005
+++ /usr/ports/editors/ted/Makefile     Mon Nov 21 20:33:07 2005
@@ -19,16 +19,19 @@
  RUN_DEPENDS= 
${LOCALBASE}/share/ghostscript/fonts/a010013l.pfb:${PORTSDIR}/print/gsfonts
How-To-Repeat: 
  If a location other than /usr/X11R6/ were used, then the port would not 
compile.
Comment 1 Edwin Groothuis freebsd_committer freebsd_triage 2005-11-26 20:42:47 UTC
State Changed
From-To: open->feedback

Which port are we talking about here?
Comment 2 Jonathan 2005-11-26 22:26:19 UTC
On Sat, 26 Nov 2005, Edwin Groothuis wrote:

> Synopsis: Fix LOCALBASE/X11BASE settings
>
> State-Changed-From-To: open->feedback
> State-Changed-By: edwin
> State-Changed-When: Sat Nov 26 20:42:47 GMT 2005
> State-Changed-Why:
> Which port are we talking about here?
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=89602
>
>
Acck -  This is for wditors/ted

sorry about that omission
Comment 3 Jonathan 2005-11-26 22:30:42 UTC
Sorry for forgetting to mention the port name; this is for editors/ted
Comment 4 Edwin Groothuis freebsd_committer freebsd_triage 2005-11-27 00:38:28 UTC
Maintainer of editors/ted,

Please note that PR ports/89602 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/89602

-- 
Edwin Groothuis
edwin@FreeBSD.org
Comment 5 Jon Drews 2005-11-27 17:42:48 UTC
On Sun, 27 Nov 2005 00:38:28 UT, Edwin Groothuis <edwin@freebsd.org> wrote:
> Maintainer of editors/ted,

> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.

Yes - this is a bug fix and I approve of it

Kind regards,
Jonathan
Comment 6 Edwin Groothuis freebsd_committer freebsd_triage 2005-11-29 22:11:17 UTC
State Changed
From-To: feedback->open

Feedback received
Comment 7 Edwin Groothuis freebsd_committer freebsd_triage 2005-11-29 23:34:43 UTC
State Changed
From-To: open->closed

Committed, thanks!